com.verisign.epp.codec.loginsec.v1_0

## Class EPPLoginSecUserAgent

- java.lang.Object
- - com.verisign.epp.codec.loginsec.v1_0.EPPLoginSecUserAgent

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPLoginSecUserAgent
      extends java.lang.Object
      implements EPPCodecComponent

  Login Security User Agent identifies the client software and platform used by the server to identify functional or security constraints, current security issues, and potential future functional or security issues for the client.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPLoginSecUserAgent`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPLoginSecUserAgent`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLoginSecUserAgent()` Default constructor for `EPPLoginSecUserAgent`.
    `EPPLoginSecUserAgent(java.lang.String aApp, java.lang.String aTech, java.lang.String aOs)` Constructor for `EPPLoginSecUserAgent` that sets all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone an `EPPCodecComponent` instance.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPLoginSecUserAgent` with this instance.
    `java.lang.String` | `getApp()` Gets the name of the client application software.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getOs()` Gets the client operating system being used.
    `java.lang.String` | `getTech()` Gets the technology used for the client software.
    `boolean` | `hasApp()` Is the name of the client application software set?
    `boolean` | `hasOs()` Is the client operating system set?
    `boolean` | `hasTech()` Is the technology used for the client software set?
    `void` | `setApp(java.lang.String aApp)` Sets the name of the client application software.
    `void` | `setOs(java.lang.String aOs)` Sets the client operating system being used.
    `void` | `setTech(java.lang.String aTech)` Sets the technology used for the client software.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLoginSecUserAgent`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLoginSecUserAgent`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLoginSecUserAgent

          public EPPLoginSecUserAgent()

      Default constructor for `EPPLoginSecUserAgent`.

    - #### EPPLoginSecUserAgent

          public EPPLoginSecUserAgent(java.lang.String aApp,
                                      java.lang.String aTech,
                                      java.lang.String aOs)

      Constructor for `EPPLoginSecUserAgent` that sets all attributes.
      Parameters:
        `aApp` - OPTIONAL name of the client application software with version if available, such as the name of the client SDK "EPP SDK 1.0.0". An example is "EPP SDK 1.0.0". Set to `null` if undefined.
        `aTech` - OPTIONAL technology used for the client software with version if available, such as "Java 11.0.2". Set to `null` if undefined.
        `aOs` - OPTIONAL operating system used, such as "x86_64 Mac OS X 10.21". Set to `null` if undefined.

  - ### Method Detail

    - #### hasApp

          public boolean hasApp()

      Is the name of the client application software set?
      Returns:
        `true` if the name of the client application software is defined; `false` otherwise.

    - #### getApp

          public java.lang.String getApp()

      Gets the name of the client application software.
      Returns:
        Gets the optional name of the client application software; `null` otherwise.

    - #### setApp

          public void setApp(java.lang.String aApp)

      Sets the name of the client application software.
      Parameters:
        `aApp` - Name of the client application software with version if available, such as the name of the client SDK being used. An example is "EPP SDK 1.0.0". Set to `null` if undefined.

    - #### hasTech

          public boolean hasTech()

      Is the technology used for the client software set?
      Returns:
        `true` if the technology of the client software is defined; `false` otherwise.

    - #### getTech

          public java.lang.String getTech()

      Gets the technology used for the client software.
      Returns:
        Gets the optional technology used for the client software; `null` otherwise.

    - #### setTech

          public void setTech(java.lang.String aTech)

      Sets the technology used for the client software.
      Parameters:
        `aTech` - Technology used for the client software, such as "Java 11.0.2". Set to `null` if undefined.

    - #### hasOs

          public boolean hasOs()

      Is the client operating system set?
      Returns:
        `true` if the client operating system is defined; `false` otherwise.

    - #### getOs

          public java.lang.String getOs()

      Gets the client operating system being used.
      Returns:
        Gets the operating system used, such as "x86_64 Mac OS X 10.21"; `null` otherwise.

    - #### setOs

          public void setOs(java.lang.String aOs)

      Sets the client operating system being used.
      Parameters:
        `aOs` - Name of the client operating system, such as "x86_64 Mac OS X 10.21". Set to `null` if undefined.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPLoginSecUserAgent`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPLoginSecUserAgent` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone an `EPPCodecComponent` instance.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPLoginSecUserAgent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.